org.apache.log4j.util

## Class Compare

- java.lang.Object
- - org.apache.log4j.util.Compare

-     public class Compare
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Compare()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `compare(Class testClass, String file1, String file2)`
    `static boolean` | `compare(Class testClass, String file1, String file2, BufferedReader in1, BufferedReader in2)`
    `static boolean` | `gzCompare(Class testClass, String actual, String expected)`
    `static boolean` | `gzCompare(Class testClass, String file1, String file2, BufferedReader in1, BufferedReader in2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Compare

          public Compare()

  - ### Method Detail

    - #### compare

          public static boolean compare(Class testClass,
                                        String file1,
                                        String file2)
                                 throws IOException

      Throws:
        `IOException`

    - #### compare

          public static boolean compare(Class testClass,
                                        String file1,
                                        String file2,
                                        BufferedReader in1,
                                        BufferedReader in2)
                                 throws IOException

      Throws:
        `IOException`

    - #### gzCompare

          public static boolean gzCompare(Class testClass,
                                          String actual,
                                          String expected)
                                   throws FileNotFoundException,
                                          IOException

      Throws:
        `FileNotFoundException`
        `IOException`

    - #### gzCompare

          public static boolean gzCompare(Class testClass,
                                          String file1,
                                          String file2,
                                          BufferedReader in1,
                                          BufferedReader in2)
                                   throws IOException

      Throws:
        `IOException`

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.